# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:51 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Python
Summary:	Inline::Python Perl module
Summary(cs):	Modul Inline::Python pro Perl
Summary(da):	Perlmodul Inline::Python
Summary(de):	Inline::Python Perl Modul
Summary(es):	Mdulo de Perl Inline::Python
Summary(fr):	Module Perl Inline::Python
Summary(it):	Modulo di Perl Inline::Python
Summary(ja):	Inline::Python Perl ⥸塼
Summary(ko):	Inline::Python  
Summary(no):	Perlmodul Inline::Python
Summary(pl):	Modu Perla Inline::Python
Summary(pt):	Mdulo de Perl Inline::Python
Summary(pt_BR):	Mdulo Perl Inline::Python
Summary(ru):	  Perl Inline::Python
Summary(sv):	Inline::Python Perlmodul
Summary(uk):	  Perl Inline::Python
Summary(zh_CN):	Inline::Python Perl ģ
Name:		perl-Inline-Python
Version:	0.20
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Inline >= 0.42
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Python - Write Perl subs and classes in Python.

%description -l pl
Modu Inline::Python - pozwalajcy na pisanie procedur i klas Perla w
Pythonie.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
%{__perl} Makefile.PL </dev/null
%{__make} OPTIMIZE="%{rpmcflags}"
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TESTED ToDo
%{perl_sitearch}/Inline/Python.pm
%dir %{perl_sitearch}/auto/Inline/Python
%{perl_sitearch}/auto/Inline/Python/Python.bs
%attr(755,root,root) %{perl_sitearch}/auto/Inline/Python/Python.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline-Python.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:57:48  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 22:22:29  ankry
- added tests, translations
- added %%{rpmcflags} for compiler, release 2

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
